%global srcname apptools
%global forgeurl https://github.com/enthought/%{srcname}

Name:    python-AppTools
Version: 5.2.1

Release:    1%{?dist}
Summary: Enthought Tool Suite Application Tools
License: BSD and LGPLv2+

URL:     %{forgeurl}
Source0: %{pypi_source}
Source1: README.%{name}

BuildArch: noarch

%global common_description %{expand:
The AppTools project includes a set of packages that Enthought has
found useful in creating a number of applications. They implement
functionality that is commonly needed by many applications

    * enthought.appscripting: Framework for scripting applications.

    * enthought.help: Provides a plugin for displaying documents and
      examples and running demos in Envisage Workbench applications.

    * enthought.io: Provides an abstraction for files and folders in a
      file system.

    * enthought.naming: Manages naming contexts, supporting non-string
      data types and scoped preferences

    * enthought.permissions: Supports limiting access to parts of an
      application unless the user is appropriately authorised (not
      full-blown security).

and many more.
}

%description %{common_description}

%package -n python-%{srcname}-doc
Summary: Documentation for %{name}

BuildRequires: make
BuildRequires: python3dist(sphinx)
BuildRequires: python3dist(enthought-sphinx-theme)

Provides:  python-AppTools-doc = %{version}-%{release}

%description -n python-%{srcname}-doc
Documentation and examples for %{name}.

%package -n python%{python3_pkgversion}-%{srcname}
Summary: %summary

Requires: python3dist(numpy)
Requires: python3dist(pyface)
Requires: python3dist(configobj)

BuildRequires: python3-devel
BuildRequires: python3dist(traits)
BuildRequires: python3dist(setuptools)

%description -n python%{python3_pkgversion}-%{srcname} %{common_description}

%prep
%setup -q -n %{srcname}-%{version}
find examples -type f -exec chmod 0644 {} ";"
cp -p %{SOURCE1} README


%build
%py3_build

pushd docs
PYTHONPATH=../build/lib make html SPHINXBUILD=%{_bindir}/sphinx-build-3
popd


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license *LICENSE*.txt
%doc CHANGES.txt
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{srcname}/

%files -n python-%{srcname}-doc
%license *LICENSE*.txt
%doc docs/build/html examples README

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-1
- initial build
